#
# Table structure for table 'tx_chlightem_extension'
#
CREATE TABLE tx_chlightem_extension (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,

    extkey tinytext NOT NULL,
    category tinytext NOT NULL,
	downloadcounter int(11) DEFAULT '0' NOT NULL,
	icon tinytext NOT NULL,
    type tinytext NOT NULL,
    extstate tinytext NOT NULL,
    version tinytext NOT NULL,
    title tinytext NOT NULL,
    reviewstate tinytext NOT NULL,
    ownerusername tinytext NOT NULL,
    lastuploaddate tinytext NOT NULL,
    
	PRIMARY KEY (uid),
    KEY crdate (crdate)
);

#
# Table structure for table 'tx_chlightem_version'
#
CREATE TABLE tx_chlightem_version (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
    
	version tinytext NOT NULL,
	title tinytext NOT NULL,
	description tinytext NOT NULL,
    extstate tinytext NOT NULL,
    reviewstate tinytext NOT NULL,
	downloadcounter int(11) DEFAULT '0' NOT NULL,
	lastuploaddate int(11) DEFAULT '0' NOT NULL,
	dependencies tinytext NOT NULL,
	authorname tinytext NOT NULL,
	authoremail tinytext NOT NULL,
	authorcompany tinytext NOT NULL,
	ownerusername tinytext NOT NULL,
	t3xfilemd5 tinytext NOT NULL,    
	category tinytext NOT NULL,
	uploadcomment tinytext NOT NULL,
    
	PRIMARY KEY (uid),
    KEY crdate (crdate)
);

#
# Table structure for table 'tx_chlightem_mm'
# 
#
CREATE TABLE tx_chlightem_mm (
  uid_local int(11) DEFAULT '0' NOT NULL,
  uid_foreign int(11) DEFAULT '0' NOT NULL,
  tablenames varchar(30) DEFAULT '' NOT NULL,
  sorting int(11) DEFAULT '0' NOT NULL,
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);


